malcontent (0.14.0-0ubuntu2) stonking; urgency=medium

  * d/p/all_apps.patch: Guard g_app_info_get_commandline() return values
    with NULL checks before passing to g_strsplit(). Snap desktop files
    without an Exec= key trigger a g_strsplit assertion failure
    and segfault in mct_app_filter_is_appinfo_allowed(). (LP: #2152282)

 -- Finn Gartner <finn.gartner@canonical.com>  Wed, 21 May 2026 00:00:00 +0000

malcontent (0.14.0-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * debian/libmalcontent-0-0.symbols: Update symbols
  * d/p: Refresh and drop applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Mar 2026 14:24:41 +0100

malcontent (0.14~alpha-0ubuntu4) resolute; urgency=medium

  * debian/rules: Use dh_listpackages to check if docs are built
  * d/p: Accept ld-linux libraries as nss module dependencies
  * d/p: Skip failing test in armhf

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Feb 2026 08:23:56 +0100

malcontent (0.14~alpha-0ubuntu3) resolute; urgency=medium

  * d/control: Always build doc packages.
    This is not optimal but it's unclear what launchpad uses to skip the
    docs dependencies (for sure nodoc profile is not set), so let's get all
    in for now

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Feb 2026 07:19:35 +0100

malcontent (0.14~alpha-0ubuntu2) resolute; urgency=medium

  * d/p: Add option to disable building docs
  * debian/rules: Do not build docs with nodoc profile
  * d/p: Disable gtk-doc in libgsystemservice subproject
  * debian/control: Remove gtk-doc-tools dependency

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Feb 2026 06:51:39 +0100

malcontent (0.14~alpha-0ubuntu1) resolute; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * debian/gbp.conf: Adjust upstream-vcs-tag
  * d/watch: Use upstream download path for releases
    The released tag won't include the upstream subprojects otherwise
  * d/p: Remove patch applied upstream
  * d/control: Add docs build dependencies
  * debian: Vendor libgsystemservice
  * d/p: Disable systemd-analyze tests
  * d/control: Add missing build dependencies
  * debian: Use debian's libcdb-dev instead of shipping one
  * debian/control: Install services into the malcontent package
  * debian/control: Install docs and nss module in new packages
  * debian/patches: Do not install tests files if they are not enabled
  * debian/libmalcontent-0-0.symbols: Add new symbols
  * debian/control: Adjust breaks/replaces to the ubuntu version

  [ Dan Nicholson ]
  * d/control, d/libmalcontent-common.install, d/malcontent.install: Move the
    D-Bus, account-service and polkit data to a new libmalcontent-common
    package. The D-Bus interface is managed entirely from the libmalcontent-0
    library and the accounts-service extension is broken without the interface
    definitions. Most clients (including malcontent-control from
    malcontent-gui) use the libmalcontent-0 API rather than the
    malcontent-client CLI and therefore don't depend on the malcontent
    package. A versioned dependency on libmalcontent-0 has been added to its
    reverse dependencies to ensure the common package is installed.
    (Closes: #991440).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Feb 2026 05:59:59 +0100

malcontent (0.13.1-5) unstable; urgency=medium

  * Try to fix x32 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Feb 2026 10:06:19 -0500

malcontent (0.13.1-4) unstable; urgency=medium

  * Re-enable UI build for loong64
  * Don't try to build on non-Linux
  * Update list of architectures where libadwaita is available

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Feb 2026 09:01:49 -0500

malcontent (0.13.1-3) unstable; urgency=medium

  * Temporarily disable UI build for loong64 for bootstrapping
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Feb 2026 11:24:55 -0500

malcontent (0.13.1-2ubuntu2) resolute; urgency=medium

  * debian/control:
    - Build-Depends on dh-sequence-translations for translations integration
      (lp: #2096764)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Nov 2025 11:39:23 +0100

malcontent (0.13.1-2ubuntu1) resolute; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add patch to hide the Software Installation restrictions
    - Add patch and adjust install files to not show help for
      that hidden feature
  * Correct LP bug reference in the previous debian changelog entry

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 05 Nov 2025 09:52:12 +0100

malcontent (0.13.1-2) unstable; urgency=high

  * Team upload

  [ Alessandro Astone ]
  * Fix filtering snaps after snapd 2.72 (Closes: #1120080, LP: #2128350)
  * Fix listing flatpaks in parental control UI (Closes: #1113776)
  * Fix memory leak when checking snaps

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Nov 2025 18:02:37 -0500

malcontent (0.13.1-1ubuntu2) resolute; urgency=medium

  * d/p: Fix memory leak when filtering snaps

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 22 Oct 2025 15:12:38 +0200

malcontent (0.13.1-1ubuntu1) resolute; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add patch to hide the Software Installation restrictions
    - Add patch and adjust install files to not show help for
      that hidden feature
  * d/p: Fix filtering snaps after snapd 2.72 (LP: #2128350)
  * d/p: Refresh Ubuntu patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 17 Oct 2025 19:25:30 +0200

malcontent (0.13.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Cherry-pick an accessibility fix (LP: #2116954)
  * Update gir handling
  * debian/watch: Convert to Version: 5
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Sep 2025 23:14:27 -0400

malcontent (0.13.0-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 17:17:04 +0200

malcontent (0.13.0-1ubuntu2) questing; urgency=medium

  * d/p/ui-Fix-wrong-a11y-role-in-button.patch:
    - Fix wrong a11y role in button (lp: #2116954)

 -- Sergio Costas Rodriguez <sergio.costas@canonical.com>  Wed, 16 Jul 2025 10:50:45 +0200

malcontent (0.13.0-1ubuntu1) plucky; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add patch to hide the Software Installation restrictions
    - Add patch and adjust install files to not show help for
      that hidden feature

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 07:46:53 -0500

malcontent (0.13.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1072111)
  * Bump minimum GTK4 and libadwaita
  * malcontent.docs: Install NEWS (Closes: #1073848)
  * Add ${gir:Depends} & ${gir:Provides} to -dev packages
  * Remove obsolete PolicyKit pkla file (Closes: #1093072)
  * Cherry-pick Ubuntu patch to allow filtering .deb & Snap apps
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 22:02:25 -0500

malcontent (0.12.0-1.1ubuntu3) plucky; urgency=medium

  * d/p/malcontent-control-Re-show-in-the-app-list.patch
    - Re-show the control panel in the app list (LP: #2091544)

 -- Bin Li <binli@ubuntu.com>  Thu, 23 Jan 2025 14:22:52 +0100

malcontent (0.12.0-1.1ubuntu2) plucky; urgency=medium

  * d/p/application-Fix-opening-Settings.patch
    - Fix opening Settings (LP: #2092815)

 -- Bin Li <binli@ubuntu.com>  Mon, 13 Jan 2025 11:24:45 +0800

malcontent (0.12.0-1.1ubuntu1) oracular; urgency=medium

  * d/p/all_apps.patch
    - Allow all apps to be filtered
  * d/p/hide_unsupported_features.patch
    - Hide UI elements for features not supported in Ubuntu
  * d/p/help_dont_reference_software_installation.patch
    - Don't reference unsupported features in the help files
  * d/not-installed
    - flag files not installed
  * d/malcontent-gui.install
    - Only include help files for supported features

 -- Ken VanDine <ken.vandine@ubuntu.com>  Wed, 14 Aug 2024 10:59:16 -0400

malcontent (0.12.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install PAM module into /usr. (Closes: #1061702)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jun 2024 21:50:41 +0200

malcontent (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum meson to 1.2.0 & GTK4 to 4.12.0
  * debian/libmalcontent-ui-1-1.symbols: Add new symbols
  * Replace GTK+ with GTK in package description

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 15:02:31 -0400

malcontent (0.11.1-3) unstable; urgency=medium

  * Team upload
  * Re-enable GUI on architectures where Flatpak is buildable
    (release architectures plus hppa, loong64, ppc64, x32)

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Mar 2024 20:52:44 +0000

malcontent (0.11.1-2) unstable; urgency=medium

  * Team upload
  * Temporarily disable GUI on armel, armhf and most -ports architectures.
    This is necessary for the 64-bit time_t transition, to allow flatpak
    to be rebuilt on the affected architectures.

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Mar 2024 14:05:52 +0000

malcontent (0.11.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop alternate dependency on policykit-1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Sep 2023 13:48:15 -0400

malcontent (0.11.0-4) unstable; urgency=medium

  * Team upload
  * Depend and build-depend on polkitd instead of policykit-1.
    This allows malcontent to be installed without needing pkexec (which
    it doesn't seem to invoke) or the legacy polkitd-pkla (it has a .rules
    file that is equivalent to its .pkla file). (Closes: #1025381, #1025596)
  * Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Feb 2023 14:43:43 +0000

malcontent (0.11.0-3) unstable; urgency=medium

  * Team upload
  * Update libmalcontent-ui-dev's Depends to match its pkgconfig file

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 11:40:28 -0400

malcontent (0.11.0-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Sep 2022 06:44:27 -0400

malcontent (0.11.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Rename binary packages for UI API bump
  * Build with GTK4 & libadwaita instead of GTK3
  * debian/control: Build-Depend on libappstream-dev
  * debian/libmalcontent-ui-1-1.symbols: Add new symbol
  * Enable all hardening flags

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Sep 2022 11:33:02 -0400

malcontent (0.10.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 17:02:37 -0400

malcontent (0.10.4-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
    - Fixes build with latest meson (Closes: #1005465)
  * Build-Depend on dh-sequence-gir
  * Bump debhelper-compat to 13

  [ Laurent Bigonville ]
  * debian/control: Do not build UI packages on non-linux architectures
    flatpak will never be ported on these

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Mar 2022 18:21:52 -0400

malcontent (0.10.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Nov 2021 20:08:33 +0100

malcontent (0.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 16 Aug 2021 12:58:13 +0200

malcontent (0.10.0-2) unstable; urgency=medium

  * debian/libmalcontent-ui-0-0.symbols: Remove symbols not exported anymore
    due to appstream-glib version. Bump libappstream-glib-dev build-dependency
    to 0.7.18 (Closes: #978388)
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 09 Feb 2021 15:11:05 +0100

malcontent (0.10.0-1) unstable; urgency=medium

  * New upstream release
    - Consider parental control being disabled if accountsservice is not
      installed/running (Closes: #972145)
    - debian/libmalcontent-0-0.symbols: Add newly exported symbol

 -- Laurent Bigonville <bigon@debian.org>  Thu, 10 Dec 2020 11:21:09 +0100

malcontent (0.9.0-2) unstable; urgency=medium

  [ Diego Escalante Urrelo ]
  * d/malcontent-gui.install: Add missing .policy file (Closes: #971728)

  [ Laurent Bigonville ]
  * d/malcontent.install: Explicitly list the polkit files to install

 -- Laurent Bigonville <bigon@debian.org>  Fri, 09 Oct 2020 14:24:12 +0200

malcontent (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Set privileged_group to sudo
  * debian/control: Add libappstream-glib-dev to the (build-)dependencies
  * debian/*.symbols: Update the symbols file.
    Some symbols are gone but they don't seem used by other applications

 -- Laurent Bigonville <bigon@debian.org>  Tue, 29 Sep 2020 20:17:40 +0200

malcontent (0.8.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/malcontent-gui.install: Install help pages

  [ Simon McVittie ]
  * Add pkg.malcontent.nogui build-profile to disable UI library

 -- Laurent Bigonville <bigon@debian.org>  Tue, 14 Jul 2020 12:39:00 +0200

malcontent (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #942166)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jul 2020 18:07:10 +0200
